Announcement

MORE THEMES - The next new WordPress theme is being developed.

Choose which FontAwesome version for your icons

Due to this theme using the latest version 5 of Font Awesome icons, some people might encounter an icon conflict when using third party plugins that also use FontAwesome, but are still on version 4. With the latest v5, the method of doing icons has changed drastically with the CSS and inserting icons directly into your page or templates.

Example – FontAwesome 4

For the twitter icon, you would use this:  

<i class="fa fa-twitter"></i>

With FontAwesome 5

For the twitter icon, you now use this:

<i class="fab fa-twitter"></i>

If you are using a plugin that still uses version 4, there could be some conflicts, so what we did was setup a new option in the customizer under “Theme Options” that lets you choose which version you want to use. By default, this theme uses FontAwesome 5, but if you find icons not working, you can switch to v4.

Set Your Version

  1. Go to Appearance >> Customize >> Theme Options
  2. Look for the two settings labeled as “Use FontAwesome 4” and “Use FontAwesome 5” setting.
    pm fontawesome setting
  3. Check the box for the version you want but make sure you uncheck the other one (don’t run with both enabled)
  4. Click “Save & Publish